
<div id="faq"></div>


<aside id="featured" class="body">
    <article>
        
        <h1 class="entry-title"><a href="../#faq">Perguntas frequentes</a></h1> 


        <p>Se voc&ecirc; possuir algumas d&uacute;vidas mais profundas por favor entre nos grupos de WhatsApp ou Telegram e compartilhe-as com nossa comunidade.</p>

        <img src="img/ia-dall-e-008.png" style="
            width: 400px;
            border-radius: 26px;
            display: block;
            margin: 0px 24%;
        ">
        <br>

        <div class="section" id="faq-1">

            <h2>O que &eacute; o Anablock?</h2>

            <p>O AnaBlock &eacute; um programa criado para organizar as ordens de bloqueios de conte&uacute;dos no Brasil. &Eacute; um programa open-source cujos dados podem ser inseridos por cada operador de rede (administrador de sistemas) rodando uma c&oacute;pia em seu pr&oacute;prio servidor.</p>

            <ul class="simple">
            <li><a class="reference external" href="/#source">Obter os arquivos do AnaBlock</a></li>
            </ul>
            <br>
        </div>

        <div class="section" id="faq-2">

            <h2>Qual o objetivo com sua cria&ccedil;&atilde;o?</h2>
            <p>
            Seu objetivo &eacute; facilitar o cumprimento dos bloqueios de conte&uacute;dos ordenados pela Anatel atrav&eacute;s dos poderes da Rep&uacute;blica Federativa do Brasil. O Brasil possui milhares de pequenos provedores e dezenas de grandes operadoras e todas s&atilde;o notificadas pela Anatel a executar bloqueios de conte&uacute;dos, o que pode resultar em centenas de milhares de horas de trabalhos para sua plena execu&ccedil;&atilde;o.<br>
            O AnaBlock possui tabelas com o cadastro do objetos bloqueados (dom&iacute;nios, IPs, ...) para que esses objetos sejam convertidos em configura&ccedil;&otilde;es de equipamentos (roteadores, servidores, firewalls) para execu&ccedil;&atilde;o pr&aacute;tica dos bloqueios.<br>
            </p>
            <br>
        </div>



        <div class="section" id="faq-3">

            <h2>Quais os tipos de bloqueios e como funcionam?</h2>
            <p>
            Existem v&aacute;rios tipos:<br>
            </p>
            <ul class="simple">

                <li><b>DNS</b>: Bloqueando o nome do dom&iacute;nio (exemplo: siteilegal.com.br), para isso o provedor deve cadastrar o dom&iacute;nio bloqueado em seu &quot;Servidor DNS recursivo&quot;, que &eacute; o servidor DNS utilizado pelos clientes do provedor de Internet para navegar;</lib>

                <li><b>IP</b>: Os computadores e servidores na Internet s&atilde;o identificados pelos endere&ccedil;os IP e as informa&ccedil;&otilde;es s&atilde;o enviadas para esses endere&ccedil;os, se bloqueados, os provedores deixam de encaminhar informa&ccedil;&otilde;es para tais IPs e os servi&ccedil;os e aplicativos que estavam hospedados neles deixam de funcionar;</li>

                <li><b>URL</b>: S&atilde;o endere&ccedil;os mais precisos de um determinado conte&uacute;do na Internet e ficam hospedados em um dom&iacute;nio, por exemplo: facebook.com &eacute; um dom&iacute;nio, mas https://facebook.com/grupoilegal e https://facebook.com/paginaruim s&atilde;o URLs nesse dom&iacute;nio, no entando esses bloqueios n&atilde;o s&atilde;o poss&iacute;veis de serem feitos pelos provedores de internet pois o PATH (/grupoilegal e /paginaruim nos exemplos) constam dentro do conte&uacute;do criptografado (SSL/TLS) da comunica&ccedil;&atilde;o entre cliente (smartphone, notebook) e servidor (do Facebook);</li>

                <li><b>ASN</b>: S&atilde;o identificadores de empresas na tabela de rotas da Internet. Cada empresa que possui endere&ccedil;os IPs (IPv4, IPv6) precisa se apresentar com um n&uacute;mero de AS na tabela de roteamento global (BGP) para que seus IPs possam trocar informa&ccedil;&otilde;es com o resto da Internet. Bloquear um ASN resulta em remo&ccedil;&atilde;o completa de todos os IPs, servidores, aplicativos, dom&iacute;nios e demais servi&ccedil;os digitais prestados pela empresa na Internet.</li>
            </ul>
            <br>
        </div>


        <div class="section" id="faq-4">

            <h2>Qual o motivo para bloquear sites e aplicativos?</h2>
            <p>
            Os bloqueios visam coibir atividade criminosa, retirar conte&uacute;do inadequado (viol&ecirc;ncia ou discurso de &oacute;dio contra grupos protegidos), retirar conte&uacute;do que viola direito ou propriedade de terceiros (pirataria), coibir noticias falsas (fake news), entre v&aacute;rios motivos.
            </p>
            <br>
        </div>

        <div class="section" id="faq-5">

            <h2>Um provedor pode descumprir as ordens de bloqueio?</h2>
            <p>
            N&atilde;o deveria, mas se descumprir as ordens e n&atilde;o efetivar os bloqueios ordenados pelo judici&aacute;rio o administrador do provedor de Internet pode incorrer em crime, al&eacute;m de poss&iacute;veis multas.<br>
            A maior multa conhecida &eacute; de 100 mil reais por dia em um bloqueio ordenado pelo STF (Supremo Tribunal Federal).
            </p>
            <br>
        </div>



        <div class="section" id="faq-6">

            <h2>Tenho um provedor, como fa&ccedil;o todos os bloqueios?</h2>
            <p>
            Siga os passos:<br>
            </p>
            <ul class="simple">

                <li><b>1</b>: Entre em contato com sua consultoria SCM para obter todas as ordens judiciais e comunicados da Anatel;</lib>

                <li><b>2</b>: Entregue todos os arquivos para seu respons&aacute;vel t&eacute;cnico (ou consultor, ou empresa de consultoria);</li>

                <li><b>3</b>: Seu t&eacute;cnico pode precisar organizar todos os objetos (nomes de dom&iacute;nios, URLs, IPs, etc...) e o AnaBlock serve para isso;</li>

                <li><b>4</b>: Seu t&eacute;cnico precisar&aacute; converter as listas em comandos pr&aacute;ticos nos equipamentos de telecomunica&ccedil;&otilde;es, o AnaBlock te ajuda com essas convers&otilde;es.</li>
            </ul>
            <br>
        </div>



        <div class="section" id="faq-7">

            <h2>O usu&aacute;rio (cliente do provedor) consegue burlar os bloqueios?</h2>
            <p>
            O acesso a conte&uacute;do bloqueado judicialmente &eacute; ilegal. Ao contornar o bloqueio por meio de VPNs e servidores DNSs estrangeiros o usu&aacute;rio est&aacute; pass&iacute;vel de representa&ccedil;&atilde;o criminal e multa.
            </p>
            <br>
        </div>


        <div class="section" id="faq-8">

            <h2>Cliente cancelou e mudou de provedor por causa dos bloqueios. O que fazer?</h2>
            <p>
            Todos os provedores s&atilde;o obrigados a realizar os bloqueios ordenados pela Anatel, sob pena de multa por n&atilde;o faze-los. Infelizmente a &uacute;nica op&ccedil;&atilde;o &eacute; notificar a Anatel, consulte seu advogado.
            </p>
            <br>
        </div>

        <br>
    </article>
</aside>