<?php

    // ID da ordem
    $oid = request_int('oid');

    // Arquivos publicos
    $public_files = array(
        'order.conf',
        'domains.txt',
        'urls.txt',
        'ipv4.txt',
        'ipv6.txt',
        'asn.txt'
    );

    // Se informado, prourar a ordem
    $_def_register = array(
        'id' => 0,
        'name' => '',
        'comment' => '',
        'otype' => 0,
        'confidential' => 0,

        'ct_domains' => 0,
        'ct_urls' => 0,
        'ct_ipv4' => 0,
        'ct_ipv6' => 0,
        'ct_asn' => 0,

        'ts_created' => 0,
        'ts_changed' => 0,
        'ts_start' => 0,
        'ts_expire' => 0,
        'ts_deleted' => 0,

        'uid_created' => 0,
        'uid_changed' => 0,
        'uid_deleted' => 0
    );
    $order = usql_rid('anablock_order', $oid, 'id', $_def_register);

    // echo '<pre>OID='.$oid."\n";
    // print_r($order);
    // echo '</pre>';


    // Se encontrou, exibir
    if($order['found']){

        // Obter arquivos
        $odir = '/anablock/orders/'.$oid;
        $files = &_dir_files($odir, '');

        // Confidencial, so permitir arquivos nossos
        if($order['confidential']){
            foreach($files as $k=>$v){
                $fname = basename($v);
                // Remover arquivos nao permitidos
                if(!in_array($fname, $public_files)){
                    unset($files[$k]);
                }
            }
        }

        // Contar dominios
        // $domains_count = 0;
        // $rs = usql_query("SELECT count(*) AS c FROM anablock_objects_domain WHERE order_id = ".$oid);
        // if($rs && usql_count($rs)){
        //     $tmp = usql_fetch($rs);
        //     $domains_count = (int)$tmp['c'];
        // }
        //$domains_count_info = usql_rid('anablock_objects_domain', 'count', $_col='id', $_df = false);


?>


<aside id="featured" class="body">
    <article>

        <div class="section" id="order_title">

            <h2><?php echo $order['name']; ?></h2>

            <p><?php echo $order['comment']; ?></p>

            <p>
                <?php echo "Bloqueio criado em: ", date('d/m/y', $order['ts_created']); ?><br>
                <?php echo "Bloqueio vigente apartir de: ", date('d/m/y', $order['ts_start']); ?>
                <br>
                <?php echo "Domínios bloqueados: ", $order['ct_domains']; ?>
                <?php echo "URLs bloqueadas: ", $order['ct_urls']; ?>
                
            </p>
            <br>

            <!-- arquivos -->
            <?php

                $table_html = '';
                foreach($files as $fid=>$fpath){
                    $fname = basename($fpath);
                    $ext = file_extension($fname);
                    $size = filesize($fpath);

                    $table_html .= '<tr>';
                    $table_html .= '<td class="tv1">'.$fname.'</td>';
                    $table_html .= '<td class="tv2">'.$ext.'</td>';
                    $table_html .= '<td class="tv3">'.$size.'</td>';
                    $table_html .= '<td class="tv4"><a href="/order-file.php?oid='.$oid.'&fid='.$fid.'">Abrir</a></td>';
                    $table_html .= '</tr>';
                }

                // echo '<pre>';
                // print_r($files);
                // echo '</pre>';
            ?>
            <table id="table_files">

                <tr>
                  <th class="tc1">Arquivo</th>
                  <th class="tc2">Tipo</th>
                  <th class="tc3">Tamanho</th>
                  <th class="tc4">Download</th>
                </tr>

                <?php echo $table_html; ?>
            </table>


        </div>

    </article>
</aside>



<?php

    }

    /*

        <table id="blockframe">
            <tr>
                <td id="blocked_label">
                    <strong>Bloqueios</strong>
                </td>
            </tr>
            <tr>
                <td id="blocked_counter">
                    8.192
                </td>
            </tr>
        </table>
        OID=20230613001
        Array
        (
            [id] => 20230613001
            [name] => TJSP e CyberGaeco block 001
            [comment] => Tribunal de Justiça de São Paulo ordena bloqueios de Stream Ripping
            [otype] => 0
            [confidential] => 0
            [ts_created] => 1686625200
            [ts_changed] => 0
            [ts_start] => 1686625200
            [ts_expire] => 1844478000
            [ts_deleted] => 0
            [uid_created] => 0
            [uid_changed] => 0
            [uid_deleted] => 0
            [found] => 1
        )


    */

?>


