#!/bin/sh


cd /anablock || exit 1

# Pasta temporaria
	rm -rf /tmp/anablock
	mkdir -p /tmp/anablock

# Clonar projeto
	cp -rav /anablock/*  /tmp/anablock/

# Nao incluir fontes anteriores na clonagem
	rm -rf /tmp/anablock/htdocs/downloads/*.zip
	rm -rf /tmp/anablock/my_orders

# Somente root, por seguranca
	chown root:root /tmp/anablock/

# Zipar
	cd /tmp
	zip -9r anablock.zip anablock

# Jogar na pasta de download
	nowdt=$(date "+%Y-%m-%d-%H%M")
	mv anablock.zip /anablock/htdocs/downloads/anablock-$nowdt.zip

