
<div id="api"></div>

<aside id="featured" class="body">
    <article>


        <?php

        $total = 0;
        $total_domains = 0;
        $total_urls    = 0;
        $total_ipv4    = 0;
        $total_ipv6    = 0;
        $total_asn     = 0;

        // Contador de objetos bloqueados
        $sql = "SELECT sum(ct_domains) AS total_domains, sum(ct_urls) AS total_urls, sum(ct_ipv4) AS total_ipv4, sum(ct_ipv6) AS total_ipv6, sum(ct_asn) AS total_asn FROM anablock_order;";
        $rs = usql_query($sql);
        if($rs && usql_count($rs)){
            $tmp = usql_fetch($rs);
            $total_domains = (int)$tmp['total_domains'];
            $total_urls    = (int)$tmp['total_urls'];
            $total_ipv4    = (int)$tmp['total_ipv4'];
            $total_ipv6    = (int)$tmp['total_ipv6'];
            $total_asn     = (int)$tmp['total_asn'];
        }

        // correcao de contadores (novo)
        $total_domains = (int)file_get_contents('/anablock/htdocs/alldomains.count');

        $total = $total_domains + $total_urls + $total_ipv4 + $total_ipv6 + $total_asn;

        ?>

        <table id="apitype">
            <tr>
              <th class="tc1">Tipo</th>
              <th class="tc2">API Endpoint</th>
              <th class="tc3">Objetos</th>
            </tr>
            <tr>
              <td>DNS Domains</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/domain/all">https://api.anablock.net.br/api/domain/all</a></td>
              <td class="tv3"><?php echo number_format($total_domains, 0, '.', '.'); ?>&nbsp;&nbsp;</td>
            </tr>
            <tr>
              <td>URLs</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/url/all">https://api.anablock.net.br/api/url/all</a></td>
              <td class="tv3"><?php echo number_format($total_urls, 0, '.', '.'); ?>&nbsp;&nbsp;</td>
            </tr>
            <tr>
              <td>IPv4</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/ipv4/block">https://api.anablock.net.br/api/ipv4/block</a></td>
              <td class="tv3"><?php echo number_format($total_ipv4, 0, '.', '.'); ?>&nbsp;&nbsp;</td>
            </tr>
            <tr>
              <td>IPv6</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/ipv6/block">https://api.anablock.net.br/api/ipv6/block</a></td>
              <td class="tv3"><?php echo number_format($total_ipv6, 0, '.', '.'); ?>&nbsp;&nbsp;</td>
            </tr>
            <tr>
              <td>ASN</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/ipv6/all">https://api.anablock.net.br/api/asn/all</a></td>
              <td class="tv3"><?php echo number_format($total_asn, 0, '.', '.'); ?>&nbsp;&nbsp;</td>
            </tr>
        </table>

        <table id="blockframe">
            <tr>
                <td id="blocked_label">
                    <strong>Bloqueios</strong>
                </td>
            </tr>
            <tr>
                <td id="blocked_counter">
                    <?php echo number_format($total, 0, '.', '.'); ?>
                </td>
            </tr>
        </table>



        <table id="apitype">
            <tr>
              <th colspan="2">Controle:</th>
            </tr>
            <tr>
              <td>Version (valor atual <?php

                    $vts_file = '/anablock/htdocs/version.ts';
                    $version = (int)@file_get_contents($vts_file);
                    echo $version;

                ?>)</td>
              <td><a target="blank" href="https://api.anablock.net.br/api/version">https://api.anablock.net.br/api/version</a></td>
        </table>


    </article>
</aside>

